Package com.sun.speech.freetts.en.us

# Class FeatureProcessors.StressedSylIn

java.lang.Object
com.sun.speech.freetts.en.us.FeatureProcessors.StressedSylIn

All Implemented Interfaces:
  `FeatureProcessor`

Enclosing class:
  `FeatureProcessors`

public static class FeatureProcessors.StressedSylIn extends Object implements FeatureProcessor
Counts the number of stressed syllables since the last major break. This is a feature processor. A feature processor takes an item, performs some sort of processing on the item and returns an object.

## Constructor Summary

Constructors
Constructor
Description
`StressedSylIn()`

## Method Summary

Modifier and Type
Method
Description
`String`
`process(Item item)`
Performs some processing on the given item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StressedSylIn

public StressedSylIn()

## Method Details

### process

public String process(Item item) throws ProcessException
Performs some processing on the given item.

Specified by:
  `process` in interface `FeatureProcessor`
Parameters:
  `item` - the item to process
Returns:
  the number of stresses syllables since the last major break
Throws:
  `ProcessException` - if an exception occurred during the processing